Product Documentation

Citrix ADC SDX hardware-software compatibility matrix

Keep the following points in mind about Citrix ADC SDX hardware-software and feature-software compatibility:

  • For each platform, only the starting build for each release is mentioned. All subsequent builds within a release are supported.

  • In 10.5 and prior releases, the Citrix ADC SDX appliance was shipped with a virtual bundle, which included a specific combination of Management Service image, XenServer image, XenServer supplemental packs.

  • From 11.0 and later releases, the single bundle image is shipped, which combines all the components.

  • Any combinations of Citrix ADC SDX appliance image version and Citrix ADC VPX image versions are supported as long as they meet minimum version requirements for a particular hardware platform.

  • From 12.0 57.19, the single bundle image also includes the lights-out management (LOM) firmware.

  • Usually, the Citrix ADC SDX image and the VPX image are not interdependent, which means the SDX appliance and the VPX instances need not have the same image version.

    Exception: If you provision a new NetScaler VPX instance of release 12.0 build 58.15 or upgrade an existing VPX instance to 12.0 58.15, you must also upgrade the SDX appliance to 12.0 58.15, for the VPX instance to work. See https://support.citrix.com/article/CTX236730.

    If you use a NetScaler MAS appliance to manage NetScaler appliances running 12.0 58.15, you must upgrade the NetScaler MAS appliance to 12.0 58.15.

Table. Supported single bundle image version and Citrix ADC VPX image version (for 11.0 and higher)

sdx-matrix

Note: Citrix ADC Secure Web Gateway (SWG) is supported from release 12.0 56.20 and later. Citrix ADC Cluster is not supported on Citrix SDX SWG instances.

For information about how to uprade the Citrix ADC SDX appliance and the VPX instance, see the following topics.

Citrix ADC SDX hardware-software compatibility matrix

In this article